API Keys
4 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.
Every request needs payments-api-key and payments-account.
/v1/api-keysList all API Keys
Returns a list of API Keys. The API Keys are sorted with the most recently created appearing first.
Query parameters
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
200PaginatedDto | object
has_morebooleanrequiredWhether or not there are more elements available after this set. If
false, this set comprises the end of the list.limitnumberoptionalThe maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.
offsetnumberoptionalThe (zero-based) offset of the first item in the collection to return.
totalnumberoptionalThe total items count.
itemsarray of ApiKeyrequired
/v1/api-keysCreate an API key
Creates a new API Key. For security reasons, secret keys are only fully displayed upon creation. Store this key securely to authenticate your application to the API.
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
namestringoptionalA brief name or description of the API that will help you remember what it is used for.
scopesarray of string (* | accounts:delete | accounts:read | accounts:write | api_keys:read | api_keys:write | apple_pay_domains:read | apple_pay_domains:write | …)optionalThe list of scopes to define the access for this key. You may specify
['*'](default) to enable all scopes. Scopes are ignored for keys of typepublishable.typestring (publishable | secret)requiredsecretMust be kept secret at all times.publishableA publishable key is only used for creating payment tokens on your public facing website or integration.
Responses
201ApiKey
account_idstringrequiredThe id of the associated account.
created_atstring date-timerequiredTime at which the object was created.
idstringrequiredUnique identifier for the object.
last_usedstring date-timeoptionalTime at which the key was last used to authenticate with the API.
namestringrequiredThe string that you assign to describe the resource. It defaults to '
typeKey' (e.g. 'Secret Key' and 'Publishable Key')scopesarray of string (* | accounts:delete | accounts:read | accounts:write | api_keys:read | api_keys:write | apple_pay_domains:read | apple_pay_domains:write | …)requiredThe list of scopes to define the access for this key. You may specify
['*']to enable all scopes.typestring (publishable | secret)requiredThe type of API key.
secretcan be used to authenticate all endpoints.publishableis used in your frontend application and can only access a handful of endpoints (e.g. confirm a Payment Intent).updated_atstring date-timerequiredTime at which the object was last updated.
valuestringrequiredThe actual value of the API key to be included in the
payments-api-keyheader for authentication.secretkeys will have a redacted value except when initially created.
/v1/api-keys/{id}Delete an API Key
Deletes an API Key. This cannot be undone.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Responses
204
/v1/api-keys/{id}Update an API key
Updates the API Keys by setting the values of the provided parameters. Any parameters not provided will be left unchanged.
Path parameters
idstringrequired
Header parameters
payments-accountstringrequiredThe id of the Paydude Account (usually starting with the prefix
acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.
Request body application/jsonrequired
namestringoptionalA brief name or description of the API that will help you remember what it is used for.
scopesarray of string (* | accounts:delete | accounts:read | accounts:write | api_keys:read | api_keys:write | apple_pay_domains:read | apple_pay_domains:write | …)optionalThe list of scopes to define the access for this key. You may specify
['*'](default) to enable all scopes. Scopes are ignored for keys of typepublishable.
Responses
200ApiKey
account_idstringrequiredThe id of the associated account.
created_atstring date-timerequiredTime at which the object was created.
idstringrequiredUnique identifier for the object.
last_usedstring date-timeoptionalTime at which the key was last used to authenticate with the API.
namestringrequiredThe string that you assign to describe the resource. It defaults to '
typeKey' (e.g. 'Secret Key' and 'Publishable Key')scopesarray of string (* | accounts:delete | accounts:read | accounts:write | api_keys:read | api_keys:write | apple_pay_domains:read | apple_pay_domains:write | …)requiredThe list of scopes to define the access for this key. You may specify
['*']to enable all scopes.typestring (publishable | secret)requiredThe type of API key.
secretcan be used to authenticate all endpoints.publishableis used in your frontend application and can only access a handful of endpoints (e.g. confirm a Payment Intent).updated_atstring date-timerequiredTime at which the object was last updated.
valuestringrequiredThe actual value of the API key to be included in the
payments-api-keyheader for authentication.secretkeys will have a redacted value except when initially created.
